<!DOCTYPE html>
<html lang="en">




<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- page title (site.title if page.title doesn't exist) -->
  <title>W11. Output devices</title>

  <!-- site description (appears in Google etc.) or page.excerpt if defined -->
  <meta name="Comuputer" content="Aenean lacinia bibendum nulla sed consectetur. Etiam porta sem malesuada magna mollis euismod. Donec ullamcorper nulla non metus auctor fringilla. Vivamus sa...">

  <!-- import our stylesheet -->
  <link href="subpage.css" rel="stylesheet" type="text/css">





  <!-- load favicon -->
  <link rel="shortcut icon" type="image/png" href="/mdef-jekyll-starter/images/favicon.png" />


  <!-- canonical URLs for better SEO -->
  <link rel="
    canonical" href="http://localhost:4000/mdef-jekyll-starter/reflections/biology-zero/">
  <link rel="alternate" type="application/rss+xml" title="MDEF Jekyll starter" href="/mdef-jekyll-starter/feed.xml">
<!-- load css sytle sheet -->

<title> Output devices </title>
  <link href="style.css" rel="stylesheet" type="text/css">

</head>

<body>

<div class="container">
  <header class="header" role="banner">


        <div class="row" style="text-align:center;">

        <ul class="main-nav">


                    <li><a href="https://mdef.gitlab.io/adriana.tamargo/"> MDEF </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Reflections.html"> First term </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Secondterm.html"> Second term </a></li>
          <li class="active"><a href="https://mdef.gitlab.io/adriana.tamargo/FabAcademy.html"> Fab Academy </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Finalproject.html"> Final project </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Aboutme.html"> About me </a></li>
          <li> <h5> adriana.tamargo@iaac.net </h5> </li>
                </ul>

    </div>


  </header>

  <main class="page-content" aria-label="Content">
    <div class="wrapper">
    <h1 id="subheading-2">W11. Output devices</h1>

<p>This week we chose the speaker as an output, since I will use it for my final project. We replicated Neil's board, adding a little "O" on it so we didn't confuse it with the input board. I partnered up with <a href="https://florezal754.gitlab.io/mdef-jekyll/FabAcademy/W11/W11.html"> Laura </a> for making the assignment. </p>


<h2 id="subheading-2">Making the board </h2>

<p>We replicated a Neil's Board to make this assignment. For that, we downloaded the png file form here and added a "o" mark so we didn't mess up the input and output boards. For the production of the board we followed the same steps we followed in <a href="https://mdef.gitlab.io/adriana.tamargo/Electronicsproduction.html">Electronics production week. We generated the milling strategy in FabModules, milled the board with the Roland SRM-20 and soldered the components. </a> </p>

<p> We used the following components: </p>

<p> 1 x Attiny 45, 1 x 6 pin Header AVRISPSMD, 1 x 1uF CAP-US1206FAB, 1 x 10k resistor,  2 x 4 pin Header AVRISPSMD. </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/output1.jpg" width="750">

<h2 id="subheading-2"> Programming </h2>

<p> For programming we used the AVR ISP and the FTDI cable. The steps we followed were:  </p>

<p> 1) Once is solded, we checked the connections </p>
<p> 2) We connceted the AVR ISP to the board and the FTDI cable </p>
<p> 3) After that, we connected the OUTPUT - Speaker to the board</p>
<p> 4) In the Arduino software, we changed the settings to work through the AVR ISP- to programm the board through it (when we did embedded programming we used a FAB ISP for programming the other FAB ISP) </p>

<p>Board: "ATtiny25/45/85"</p>
<p>Procesador: "ATtiny45"</p>
<p>Clock: "Internal 1 MHz"</p>
<p>Port: "COM4"</p>
<p>Programmer: "AVRISP mkII"</p>



<p> In this case two legs of one of the components were slightly floating was not working, so we needed to fix the soldering again. </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/output2.jpg" width="750">


<p> This is the final code we used: </p>

<p> int speakerPin = 1;

  void setup() {
    pinMode(speakerPin, OUTPUT);
  }

  void loop() {

    // fade in from min to max in increments of 5 points:
    for (int fadeValue = 0 ; fadeValue <= 255; fadeValue += 25) {
      // sets the value (range from 0 to 255):
      analogWrite(speakerPin, fadeValue);
      // wait for 30 milliseconds to see the dimming effect
      delayMicroseconds(30);
    }



     delayMicroseconds(50);


    // fade out from max to min in increments of 5 points:
    for (int fadeValue = 255 ; fadeValue >= 0; fadeValue -= 5) {
      // sets the value (range from 0 to 255):
      analogWrite(speakerPin, fadeValue);
      // wait for 30 milliseconds to see the dimming effect
      delayMicroseconds(10);
    }
       }
</p>

<h2> Files </h2>
<a href="https://gitlab.com/MDEF/adriana.tamargo/blob/master/output_code.ino"> Arduino code </a>


</div>

    </div>

  </div>



</article>
    </div>
  </main>

  <footer class="footer">

  <div class="row" style="text-align: center;">

      <ul class="main-nav">
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/Computercontrolledcutting.html"> Previous post </a></li>
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/3dprinting.html"> Next post </a></li>
        <li><h5>adriana.tamargo@iaac.net</h5></li>

    </div>

  </div>

    <div class="row" style="text-align: left;">

  </div>

</footer>

</body>

</html>
